<template>
	<component :is="currentCity" />
</template>

<script lang="tsx" setup name="blacklist">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/tels/blacklist/ybList.vue')); // 宜宾黑白名单
const ZiGong = defineAsyncComponent(() => import('@/views/tels/blacklist/zgList.vue')); // 自贡黑白名单
const LuZhou = defineAsyncComponent(() => import('@/views/tels/blacklist/zgList.vue')); // 泸州黑白名单

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
	YiBin,
	ZiGong,
	LuZhou
};
// 当前地州市
const currentCity = computed(() => {
	return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
